Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Agents
  • Announcement banner
  • App data policies
  • App migration
  • App properties
  • Application roles
  • Audit records
  • Avatars
  • Classification levels
  • Dashboards
  • Dynamic modules
  • Field schemes
  • Filter sharing
  • Filters
  • Group and user picker
  • Groups
  • Issue attachments
  • Issue bulk operations
  • Issue comment properties
  • Issue comments
  • Issue custom field associations
  • Issue custom field configuration (apps)
  • Issue custom field contexts
  • Issue custom field options
  • Issue custom field options (apps)
  • Issue custom field values (apps)
  • Issue field configurations
  • Issue fields
  • Issue navigator settings
  • Issue notification schemes
  • Issue panels
  • Issue priorities
  • Issue properties
  • Issue redaction
  • Issue resolutions
  • Issue security level
  • Issue security schemes
  • Issue type properties
  • Issue type schemes
  • Issue type screen schemes
  • Issue types
  • Issue votes
  • Issue watchers
  • Issue worklog properties
  • Issue worklogs
  • Issues
  • JQL
  • JQL functions (apps)
  • Jira expressions
  • Jira settings
  • Labels
  • License metrics
  • Migration of Connect modules to Forge
  • Myself
  • Permission schemes
  • Permissions
  • Plans
  • Priority schemes
  • Project avatars
  • Project categories
  • Project classification levels
  • Project components
  • Project email
  • Project features
  • Project key and name validation
  • Project permission schemes
  • Project properties
  • Project role actors
  • Project roles
  • Project templates
  • Project types
  • Project versions
  • Projects
  • Screen schemes
  • Screen tab fields
  • Screen tabs
  • Screens
  • Server info
  • Service Registry
  • Status
  • Tasks
  • Teams in plan
  • Time tracking
  • UI modifications (apps)
  • User properties
  • Users
  • Webhooks
  • Workflow scheme drafts
  • Workflow scheme project associations
  • Workflow schemes
  • Workflow status categories
  • Workflow statuses
  • Workflow transition rules
  • Workflows
  • Other operations
Cloud
Jira Cloud platform / Reference / REST API v3

Agents

Postman Collection
OpenAPI

Use the APIs to invoke agents in bulk for multiple issues. Bulk invocation responses report session-start outcomes; the agent's work continues asynchronously.

POST

Bulk start agent sessions (batch)Experimental

Starts agent sessions for a batch of issues, with an agent and optional prompt specified per invocation. You can submit between 1 and 50 invocations in one request, including multiple invocations for the same issue. Supply numeric issue-ID strings and Rovo agent IDs. Session-start outcomes are returned inline; the agent's work continues asynchronously.

Permissions required:

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:write:jira-work
Granular:write:issue:jira, read:issue:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

clientMutationId

string

Required
invocations

array<BulkAgentSessionInvocation>

Required

Responses

Returned if the request is successful.

application/json

BulkAgentSessionsResponse

Session-start outcomes, not completion of the agent's work.

POST/rest/api/3/agents/bulk/invoke/batch
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "clientMutationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "invocations": [ { "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "issueId": "10001", "requestId": "64cbeead-43ee-4de6-a535-281417003efd", "userPrompt": "Summarize the next steps for this issue." }, { "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "issueId": "10002", "requestId": "cf399ad9-9835-4fc5-b830-abae6c682f06" } ] }`; const response = await requestJira(`/rest/api/3/agents/bulk/invoke/batch`, { method: 'POST', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 { "alreadyStartedCount": 0, "failedCount": 1, "rateLimitedCount": 0, "results": [ { "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "conversationId": "873208ba-213e-4018-99ab-15d994ed94c2", "issueId": "10001", "requestId": "64cbeead-43ee-4de6-a535-281417003efd", "result": "STARTED" }, { "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "error": { "message": "The issue does not exist.", "statusCode": 400, "type": "ISSUE_NOT_FOUND" }, "issueId": "10002", "requestId": "cf399ad9-9835-4fc5-b830-abae6c682f06", "result": "FAILED" } ], "startedCount": 1, "success": true }
POST

Bulk start agent sessions (uniform)Experimental

Starts the same agent on between 1 and 50 issues, with an optional prompt shared by every invocation. Supply numeric issue-ID strings, and a Rovo agent ID. Session-start outcomes are returned inline; the agent's work continues asynchronously.

Permissions required:

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:write:jira-work
Granular:write:issue:jira, read:issue:jira

Connect apps cannot access this REST resource.

Request

Request bodyapplication/json

agentId

string

Required
clientMutationId

string

Required
issueIds

array<string>

Required
userPrompt

string

Responses

Returned if the request is successful.

application/json

BulkAgentSessionsResponse

Session-start outcomes, not completion of the agent's work.

POST/rest/api/3/agents/bulk/invoke/uniform
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; var bodyData = `{ "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "clientMutationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "issueIds": [ "10001", "10002", "10003" ], "userPrompt": "Summarize the next steps for this issue." }`; const response = await requestJira(`/rest/api/3/agents/bulk/invoke/uniform`, { method: 'POST', headers: { 'Accept': 'application/json', 'Content-Type': 'application/json' }, body: bodyData }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 { "alreadyStartedCount": 1, "failedCount": 1, "rateLimitedCount": 1, "results": [ { "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "conversationId": "873208ba-213e-4018-99ab-15d994ed94c2", "issueId": "10001", "requestId": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "result": "ALREADY_STARTED" }, { "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "error": { "message": "Rate limit exceeded.", "statusCode": 429, "type": "RATE_LIMITED" }, "issueId": "10002", "requestId": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "result": "RATE_LIMITED" }, { "agentId": "0010fa86-cd74-46eb-a2ee-229a98250b9c", "error": { "message": "The session start could not be confirmed.", "statusCode": 500, "type": "IN_DOUBT" }, "issueId": "10003", "requestId": "f47ac10b-58cc-4372-a567-0e02b2c3d479", "result": "IN_DOUBT" } ], "startedCount": 0, "success": true }

Rate this page: